1

This is a problem I recently encountered when I was trying to upload a model to Sketchfab. It shown that WebGL in not supported. I opened chrome://flags and enabled override rendering list. However, even doing that didn't resolve much. I was able to see primitive preview of model in sketchfab(but not original) and 3D settings still weren't aviable. So here are some screenshots.

Version 43.0.2357.81 Ubuntu 15.04 (64-bit)

WebGL report: enter image description here

Full resolution: http://i.stack.imgur.com/RWvA1.png

chrome://gpu: enter image description here

Full resolution: http://i.stack.imgur.com/Z0P8E.png

Nvidia Information: enter image description here

Full resolution: http://i.stack.imgur.com/AYkDJ.png

I hope that someone can find a solution for this!

  • possible duplicate of How To Enable WebGL In Chrome On Ubuntu? – Tim Jun 11 '15 at 13:51
  • No, Tim, as I checked that thread already and I have different problem. – Adrians Netlis Jun 11 '15 at 13:54
  • What's the different problem? – Tim Jun 11 '15 at 13:54
  • As that what is told there doesn't fix my problem. And in second image Problems Detected there is something I am not sure about, but may answer it. And I didn't find any GPU releated setting in chrome://settings. – Adrians Netlis Jun 11 '15 at 13:56
  • Have you installed nvidia drivers? – Tim Jun 11 '15 at 13:59
1

I believe this is duplicate of WebGL doesn't work in Chromium on Ubuntu question as @Tim noted, here is my answer on it:

The ubuntu maintainer of Chromium has deliberately disabled GPU acceleration in the ubuntu build in Chromium 43. Here is corresponding bugreport: https://bugs.launchpad.net/ubuntu/+source/chromium-browser/+bug/1463598

To workaround this issue you can downgrade to a previous version of Chromium (I have installed 41.0.2272.76-0 from Vivid).

  • 1
    OK! Will it be fixed in next release? And how do I downgrade Chromium version? – Adrians Netlis Jun 24 '15 at 12:03
  • There is not information about when fix will arrive in bugreport yet. You should be able to downgrade using sudo apt-get install chromium-browser=41.0.2272.76-0ubuntu1.1134 on Ubuntu 15.04, but I would not recommend using older version of Chromium for everyday browsing due to security issues, that old Chromium can have. – rutsky Jun 24 '15 at 13:22
  • 1
    Basicly- if I currently need WebGL, I use Firefox? – Adrians Netlis Jun 24 '15 at 16:49
  • @AdriansNetlis yes, you can use Firefox if you need WebGL. I'm using Firefox for general browsing and it supports WebGL. I use Chromium only for web-development testing, so it's not a problem for me to run potentially vulnerable old version of Chromium for my local web pages. – rutsky Jun 24 '15 at 17:23

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.